/*
 * =====================================================================================
 *
 *       Filename:  readline.c
 *    Description:  Demonstracja funkcji readline()
 *
 * =====================================================================================
 */
#include <stdio.h>

/*  Funkcja wczytuje napis podany w terminalu. */
char *readline(char t[], int n)
{
	int znak, i=0;
	znak=getchar();
	if(znak==EOF) return NULL;

	while(znak!=EOF  && i<n-2 && znak!='\n' )
	{
		t[i]=znak;
		znak=getchar();
		i=i+1;
	}
	if(i==n-1)
	{
		t[i]=znak;
		i=i+1;
	}
	t[i]='\0';

	return t;
}

#define MAX_LINE 1000

int main()
{
	char t[MAX_LINE];

	while(readline(t, MAX_LINE) != NULL )
		printf("%s\n",t);
	
	return 0;
}
